<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );
?>
<?php get_header(); ?>
<div class="blog-background page-title">
	<div class="container">
		<h1 class="postsby title"><?php the_archive_title(); ?></h1>
		<?php
		if ( '1' == $mts_options['mts_breadcrumb'] ) {
			mts_the_breadcrumb();
		}
		?>
	</div>
</div>
<div id="page">
	<div class="<?php mts_article_class(); ?>">
		<div id="content_box">
			<?php
			$blog_layout = ! empty( $mts_options['mts_blog_posts_layout'] ) ? $mts_options['mts_blog_posts_layout'] : '';
			?>
			<div class="article-wrapper <?php echo $blog_layout; ?>">	
				<?php
				$j = 0;
				if ( have_posts() ) :
					while ( have_posts() ) :
						the_post();
						?>
						<article class="latestPost excerpt <?php echo( ++$j % 3 == 0 ) ? 'last' : ''; ?>">
							<?php mts_archive_post(); ?>
						</article><!--.post excerpt-->
						<?php
					endwhile;
				endif;

				if ( 0 !== $j ) { // No pagination if there is no posts.
					mts_pagination();
				}
				?>
			</div>	
		</div>
	</div>
<?php get_footer(); ?>
