<?php
/**
 * Homepage Section - Blog Grid
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

$subheading = $mts_options['mts_blog_section_subheading'];
$heading    = $mts_options['mts_blog_section_heading'];
$desc       = $mts_options['mts_blog_section_description'];

$blog_post_num = ! empty( $mts_options['mts_blog_slider_num'] ) ? $mts_options['mts_blog_slider_num'] : '3';

?>
<div class="homepage-blog-section">
	<div class="container">
		<?php
		if ( ! empty( $subheading ) ) {
			?>
			<div class="mts-category-subtitle"><?php echo $subheading; ?></div>
			<?php
		}
		if ( ! empty( $heading ) ) {
			?>
			<h3 class="mts-category-title"><?php echo $heading; ?></h3>
			<?php
		}
		if ( ! empty( $desc ) ) {
			?>
			<div class="mts-category-description"><?php echo $desc; ?></div>
			<?php
		}
		?>
		<div class="blog-slider-container clearfix loading">
			<div id="blog-slider" class="blog-slider">
				<?php
				$blog_args  = array(
					'ignore_sticky_posts' => 1,
					'post_status'         => 'publish',
					'posts_per_page'      => $mts_options['mts_blog_slider_num']
				);
				$blog_query = new WP_Query( $blog_args );
				while ( $blog_query->have_posts() ) :
					$blog_query->the_post();
					?>
					<div class="blog-slider-item"> 
						<article class="latestPost excerpt">
							<?php mts_archive_post(); ?>
						</article>
					</div>
					<?php
					endwhile;
					wp_reset_postdata();
				?>
			</div>
		</div>		
	</div>
</div>
