<?php
/**
 * Homepage Section - CTA
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

$title1  = $mts_options['mts_call_to_action_title1'];
$title2  = $mts_options['mts_call_to_action_title2'];
$desc    = $mts_options['mts_call_to_action_description'];
$buttons = ! empty( $mts_options['mts_call_to_action_buttons'] ) ? $mts_options['mts_call_to_action_buttons'] : '';

?>
<div class="call-to-action clearfix">
	<div class="container">
		<div class="call-to-action-inner">
			<?php
			if ( ! empty( $title1 ) ) {
				?>
				<div class="call-to-action-title title1"><?php echo $title1; ?></div>
				<?php
			}
			if ( ! empty( $title2 ) ) {
				?>
				<h4 class="call-to-action-title"><?php echo $title2; ?></h4>
				<?php
			}
			if ( ! empty( $desc ) ) {
				?>
				<div class="call-to-action-description"><?php echo $desc; ?></div>
				<?php
			}
			if ( ! empty( $buttons ) && is_array( $buttons ) ) {
				?>
				<div class="mts-call-to-action-buttons">
					<?php
					$i = 0;
					foreach ( (array) $buttons as $button ) :
						$button_title = $button['mts_call_to_action_button_title'];
						$button_link  = $button['mts_call_to_action_button_link'];
						echo '<div class="mts-call-to-action-button button-' . ++$i . '">';
						if ( ! empty( $button_link ) ) {
							printf(
								'<a href="%1$s" class="button">%2$s</a>',
								$button_link,
								$button_title
							);
						}
						echo '</div>';

					endforeach;
					?>
				</div>
			<?php } ?>
		</div>	
   	</div>
</div>
