<?php
/**
 * Homepage Section - Featured Categories
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

$subheading   = $mts_options['mts_featured_category_subheading'];
$heading      = $mts_options['mts_featured_category_heading'];
$desc         = $mts_options['mts_featured_category_description'];
$product_cats = ( ! empty( $mts_options['mts_featured_product_categories'] ) && mts_is_wc_active() ) ? $mts_options['mts_featured_product_categories'] : '';

if ( empty( $product_cats ) && ! is_array( $product_cats ) ) {
	return;
}

?>
<div class="featured-categories-products home-section clearfix">
	<div class="container">
		<?php
		if ( ! empty( $subheading ) ) {
			?>
			<div class="mts-category-subtitle"><?php echo $subheading; ?></div>
			<?php
		}
		if ( ! empty( $heading ) ) {
			?>
			<h3 class="mts-category-title"><?php echo $heading; ?></h3>
			<?php
		}
		if ( ! empty( $desc ) ) {
			?>
			<div class="mts-category-description"><?php echo $desc; ?></div>
			<?php
		}
		if ( ! empty( $product_cats ) && is_array( $product_cats ) ) :
			?>
			<div class="featured-product-categories">
				<?php
				$j = 0;
				foreach ( $product_cats as $product ) {
					$thumbnail_id        = '';
					$term_url            = '';
					$product_name        = '';
					$product_count       = '';
					$product_category_id = $product['mts_featured_product_category'];
					$product_title_color = $product['mts_featured_product_category_title_color'];
					$product_count_color = $product['mts_featured_product_category_count_color'];
					$product_cat         = get_term_by( 'id', $product_category_id, 'product_cat' );
					if ( ! empty( $product_cat ) ) {
						$thumbnail_id  = get_term_meta( $product_cat->term_id, 'thumbnail_id', true );
						$term_url      = get_term_link( $product_cat->term_id );
						$product_name  = $product_cat->name;
					}
					$args = [
						'post_type' => 'product',
						'tax_query' => [
							[
								'taxonomy' => 'product_cat',
								'field'    => 'id',
								'terms'    => $product_category_id,
							],
						],
					];
					// count queries.
					$the_query = new WP_Query( $args );
					if ( $the_query->have_posts() ) {
						$product_count = $the_query->found_posts;
					}
					$title     = get_the_title(); // phpcs:ignore.
					echo '<div class="product-category">';
					echo '<a href="' . $term_url .'" alt="' . $product_name . '">';
					$thumb = wp_get_attachment_image( $thumbnail_id, 'dropshipping-woo-cat', false, [ 'title' => $title, 'alt' => $title ] ); // phpcs:ignore
					if ( 0 == $j ) {
						$thumb = wp_get_attachment_image( $thumbnail_id, 'dropshipping-woo-cat-big', false, [ 'title' => $title, 'alt' => $title ] ); // phpcs:ignore.
					}
					if ( $thumb ) {
						echo $thumb;
					} elseif ( $j > 0 ) {
						echo '<img src="' . esc_url( get_template_directory_uri() ) . '/images/nothumb-dropshipping-woo-cat.png" alt="' . __( 'No Preview', 'dropshipping' ) . '"  class="wp-post-image" />';
					}
					if ( ! $thumb && 0 == $j ) {
						echo '<img src="' . esc_url( get_template_directory_uri() ) . '/images/nothumb-dropshipping-woo-cat-big.png" alt="' . __( 'No Preview', 'dropshipping' ) . '"  class="wp-post-image" />';
					}
					echo '<div class="product-category-info">';
					echo '<h3 class="product-category-title" style="color: ' . $product_title_color . ';">' . $product_name . '</h3>';
					echo '<div class="product-number" style="color: ' . $product_count_color . ';">';
					echo $product_count . esc_html__( ' Products', 'dropshipping' );
					echo '</div>';
					echo '</div>';
					echo '</a>';
					echo '</div>';
					$j++;
				}
				?>
			</div>
			<?php
		endif;
		?>
	</div>
</div>
