<?php
/**
 * Homepage Section - Footer Carousel
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

$featured_slider = ! empty( $mts_options['mts_featured_slider'] ) ? $mts_options['mts_featured_slider'] : '';

if ( empty( $featured_slider ) && ! is_array( $featured_slider ) ) {
	return;
}

?>
<div class="primary-slider-container clearfix loading">
	<div id="primary-slider" class="primary-slider">
		<?php
		if ( ! empty( $featured_slider ) && is_array( $featured_slider ) ) :
			foreach ( $featured_slider as $slide ) :
				$image_url   = $slide['mts_featured_slider_image'];
				$slide_link  = ! empty( $slide['mts_featured_slider_link'] ) ? $slide['mts_featured_slider_link'] : '';
				$slide_type  = ! empty( $slide['mts_featured_slider_type'] ) ? $slide['mts_featured_slider_type'] : '';
				$slide_title = ! empty( $slide['mts_featured_slider_title'] ) ? $slide['mts_featured_slider_title'] : '';
				$desc        = ! empty( $slide['mts_featured_slider_description'] ) ? $slide['mts_featured_slider_description'] : '';
				$amount      = ! empty( $slide['mts_featured_slider_amount'] ) ? $slide['mts_featured_slider_amount'] : '';
				$bg_color    = ! empty( $slide['mts_featured_slider_bg_color'] ) ? $slide['mts_featured_slider_bg_color'] : '#f8f8f8';
				$text_color  = ! empty( $slide['mts_featured_slider_text_color'] ) ? $slide['mts_featured_slider_text_color'] : '#333333';
				$slide_style = '';
				$text_style  = 'color: ' . $text_color;
				$bg_style    = 'background-color: ' . $bg_color;
				if ( ! empty( $image_url ) ) {
					$slide_style = 'background-image: url(' . esc_url( $image_url ) . '); ' . $bg_style;
				} else {
					$slide_style = $bg_style;
				}
				?>
				<div class="primary-product-slider" style="<?php echo $slide_style; ?>">
					<div class="container">
						<div class="primary-slider-item">
							<?php
							$archor_start = ! empty( $slide_link ) ? sprintf( '<a href="%1$s">', $slide_link ) : '';
							$archor_end   = ! empty( $slide_link ) ? '</a>' : '';
							printf( '<div class="slide-caption" style="%1$s">%2$s<h4 class="primary-product-type">%3$s</h4><h3 class="primary-product-title">%4$s</h3><div class="primary-product-description">%5$s</div><div class="primary-product-amount">%6$s</div>%7$s</div>', $text_style, $archor_start, $slide_type, $slide_title, $desc, $amount, $archor_end );
							?>
						</div>
					</div>
				</div>
				<?php
			endforeach;
		endif;
		?>
	</div><!-- .primary-slider -->
</div><!-- .primary-slider-container -->
