<?php
/**
 * Homepage Section - Featured Tabs
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

$subheading = $mts_options['mts_featured_tabs_subheading'];
$heading    = $mts_options['mts_featured_tabs_heading'];
$desc       = $mts_options['mts_featured_tabs_description'];

if ( ! mts_is_wc_active() ) {
	return;
}

if ( is_array( $mts_options['mts_home_tabs'] ) && array_key_exists( 'enabled', $mts_options['mts_home_tabs'] ) ) {
	$tabs_names = $mts_options['mts_home_tabs']['enabled'];
} else {
	$tabs_names = [];
}
?>
<div class="featured-product-tabs home-section clearfix">
	<div class="container">
		<?php
		if ( ! empty( $subheading ) ) {
			?>
			<div class="mts-category-subtitle"><?php echo $subheading; ?></div>
			<?php
		}
		if ( ! empty( $heading ) ) {
			?>
			<h3 class="mts-category-title"><?php echo $heading; ?></h3>
			<?php
		}
		if ( ! empty( $desc ) ) {
			?>
			<div class="mts-category-description"><?php echo $desc; ?></div>
			<?php
		}
		?>
		<ul class="tabs">
			<?php
			$count = 0;
			foreach ( $tabs_names as $tab_id => $tab_name ) {
				?>
				<li class="tab <?php echo ( $count == 0 ) ? 'active loaded' : ''; ?>"><a href="#" data-tab="<?php echo esc_attr( $tab_id ); ?>"><?php echo $tab_name; ?></a></li>
				<?php
				$count++;
			}
			?>
		</ul>
		<div class="tabs-content">
			<?php
			$count = 0;
			foreach ( $tabs_names as $tab_id => $tab_name ) {
				?>
				<div class="tab-content <?php echo esc_attr( $tab_id ) . ' ' . ( ! $count ? 'active loaded' : '' ); ?>">
					<?php mts_homepage_tab( $tab_id ); ?>
				</div>
				<?php
				$count++;
			}
			?>
		</div>
	</div>
</div>
