<?php
/**
 * Homepage Section - Footer Carousel
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

$subheading  = $mts_options['mts_footer_carousel_subheading'];
$heading     = $mts_options['mts_footer_carousel_title'];
$desc        = $mts_options['mts_footer_carousel_description'];
$footer_link = $mts_options['mts_footer_carousel_link'];
$text        = $mts_options['mts_footer_carousel_link_text'];
// Footer carousel.
$footer_carousel = ! empty( $mts_options['mts_footer_carousel'] ) ? $mts_options['mts_footer_carousel'] : '';

if ( empty( $footer_carousel ) && ! is_array( $footer_carousel ) ) {
	return;
}

?>

<div class="footer-carousel-section">
	<div class="container">
		<div class="footer-carousel-left">
			<?php
			if ( ! empty( $subheading ) ) {
				?>
				<div class="mts-footer-subtitle"><?php echo $subheading; ?></div>
				<?php
			}
			if ( ! empty( $heading ) ) {
				?>
				<h3 class="mts-footer-title"><?php echo $heading; ?></h3>
				<?php
			}
			if ( ! empty( $desc ) ) {
				?>
				<div class="mts-footer-description"><?php echo $desc; ?></div>
				<?php
			}
			$archor_start = ! empty( $footer_link ) ? sprintf( '<a href="%1$s" class="mts-footer-carousel-link">', $footer_link ) : '';
			$archor_end   = ! empty( $footer_link ) ? '</a>' : '';
			if ( $text ) {
				printf( '%1$s%2$s%3$s', $archor_start, $text, $archor_end );
			}
			?>
		</div>
		<div class="footer-carousel-container loading">
			<div id="footer-slider" class="footer-carousel">
				<?php
				if ( ! empty( $footer_carousel ) && is_array( $footer_carousel ) ) :
					foreach ( $footer_carousel as $carousel ) :
						$carousel_link  = $carousel['mts_footer_carousel_link'];
						$carousel_img   = $carousel['mts_footer_carousel_image'];
						$carousel_title = $carousel['mts_footer_carousel_title'];

						$archor_start = ! empty( $carousel_link ) ? sprintf( '<a href="%1$s" class="mts-footer-carousel-link">', $carousel_link ) : '';
						$archor_end   = ! empty( $carousel_link ) ? '</a>' : '';
						printf( '<div class="footer-item">%1$s<img src="%2$s" alt="%3$s" width="184" height="144">%4$s</div>', $archor_start, $carousel_img, $carousel_title, $archor_end );
					endforeach;
				endif;
				?>
			</div><!-- .footer-carousel -->
		</div><!-- .footer-carousel-container -->
	</div>  
</div>
