<?php
/**
 * Homepage Section - Product Slider
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

$product_slider = ! empty( $mts_options['mts_product_slider'] ) ? $mts_options['mts_product_slider'] : '';

if ( empty( $product_slider ) && ! is_array( $product_slider ) ) {
	return;
}

?>
<div class="product-slider-container clearfix loading">
	<div id="product-slider" class="product-slider">
		<?php
		if ( ! empty( $product_slider ) && is_array( $product_slider ) ) :
			foreach ( $product_slider as $slide ) :
				$image_url    = wp_get_attachment_image_src( $slide['mts_product_slider_image'], 'dropshipping-sec-slider' );
				$image_url    = $image_url[0];
				$slide_type   = $slide['mts_product_slider_type'];
				$slide_title  = $slide['mts_product_slider_title'];
				$slide_amount = $slide['mts_product_slider_amount'];
				$slide_button = $slide['mts_product_slider_button'];
				$slide_link   = $slide['mts_product_slider_button_link'];
				?>
				<div class="product-slider-item">
					<div class="container">
						<img class="product-slider-thumbnail" src="<?php echo $image_url; ?>" alt="<?php echo $slide_title; ?>">
						<div class="slide-caption">
						<?php
						if ( ! empty( $slide_type ) ) {
							?>
							<div class="product-slider-type"><?php echo $slide_type; ?></div>
							<?php
						}
						if ( ! empty( $slide_title ) ) {
							?>
							<h3 class="product-slider-title"><?php echo $slide_title; ?></h3>
							<?php
						}
						if ( ! empty( $slide_amount ) ) {
							?>
							<div class="product-slider-amount"><?php echo $slide_amount; ?></div>
							<?php
						}
						if ( ! empty( $slide_link ) ) {
							printf( '<div class="product-slider-button"><a href="%1$s">%2$s</a></div>', $slide_link, $slide_button );
						}
						?>
						</div>
					</div>    
				</div>
				<?php
			endforeach;
		endif;
		?>
    </div><!-- .product-slider -->
</div><!-- .product-slider-container -->
