<?php
/**
 * The main template file.
 *
 * Used to display the homepage when home.php doesn't exist.
 */

$mts_options = get_option( MTS_THEME_NAME );

if ( is_array( $mts_options['mts_homepage_layout'] ) && array_key_exists( 'enabled', $mts_options['mts_homepage_layout'] ) ) {	
	$homepage_layout = $mts_options['mts_homepage_layout']['enabled'];
} else {
	$homepage_layout = [];
}
get_header();

if ( $mts_options['mts_featured_show_slider'] == '1' ) { //Featured Slider Section
	get_template_part( 'home/section', 'featured-slider' );
}
?>

<div id="page" class="page-home woocommerce clearfix">
	<div class="article">
		<div id="content_box">
			<?php
			foreach( $homepage_layout as $key => $section ) {
				get_template_part( 'home/section', $key );
			}
			?>
		</div>
	</div>
<?php get_footer(); ?>