<?php
/**
 * The template for displaying all pages.
 *
 * @package Dropshipping
 *
 * Other pages can use a different template by creating a file following any of these format:
 * - page-$slug.php
 * - page-$id.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */

$mts_options = get_option( MTS_THEME_NAME );

get_header(); ?>

<?php
if ( mts_is_wc_active() && ( is_cart() || is_checkout() ) && $mts_options['mts_checkout_progress'] == '1' ) {
	global $woocommerce;
	?>
	<div class="shop-single-background checkout-progress">
		<div class="container">
			<div class="mts-checkout-content" class="clearfix">
				<div class="mts-checkout-item <?php if ( is_cart() ) echo 'active'; ?>"><a href="<?php echo esc_url( wc_get_cart_url() ) ?>"><?php esc_html_e( 'Shopping Cart', 'dropshipping' ); ?></a><i class="fa fa-long-arrow-right"></i></div>
				<div class="mts-checkout-item <?php if ( is_checkout() && ! is_wc_endpoint_url( 'order-received' ) ) echo 'active'; ?>"><a href="<?php echo esc_url( wc_get_checkout_url() ) ?>"><?php esc_html_e( 'Checkout', 'dropshipping' ); ?></a><i class="fa fa-long-arrow-right"></i></div>
				<div class="mts-checkout-item <?php if ( is_checkout() && is_wc_endpoint_url( 'order-received' ) ) echo 'active'; ?>"><?php esc_html_e( 'Order Complete', 'dropshipping' ); ?></div>
			</div>
		</div>
	</div>
<?php } ?>

<?php if ( mts_is_wc_active() && is_account_page() ) { ?>
	<div class="shop-single-background">
		<div class="container">
			<header>
				<h1 class="title"><?php esc_html_e( 'MyAccount', 'dropshipping' ); ?></h1>
				<?php woocommerce_breadcrumb(); ?>
			</header>	
		</div>
	</div>
<?php } ?>

<div id="page" class="<?php mts_single_page_class(); ?>">
	<article class="<?php mts_article_class(); ?>">
		<div id="content_box" >
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
					<div class="single_page">
						<?php $header_animation = mts_get_post_header_effect(); ?>
						<?php if ( 'parallax' !== $header_animation && 'zoomout' !== $header_animation ) { ?>
							<?php
							if ( '1' == $mts_options['mts_breadcrumb'] ) {
								mts_the_breadcrumb();
							}
							?>
							<header>
								<h1 class="title entry-title"><?php the_title(); ?></h1>
							</header>
						<?php } ?>			
						<?php if ( 'parallax' === $header_animation ) {?>
							<?php if ( mts_get_thumbnail_url() ) : ?>
								<div id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div>
								<?php
								if ( '1' == $mts_options['mts_breadcrumb'] ) {
									mts_the_breadcrumb();
								}
								?>
								<header>
									<h1 class="title entry-title"><?php the_title(); ?></h1>
								</header>
							<?php endif; ?>
						<?php } else if ( 'zoomout' === $header_animation ) {?>
							 <?php if (mts_get_thumbnail_url()) : ?>
								<div id="zoom-out-effect"><div id="zoom-out-bg" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div></div>
								<?php
								if ( '1' == $mts_options['mts_breadcrumb'] ) {
									mts_the_breadcrumb();
								}
								?>
								<header>
									<h1 class="title entry-title"><?php the_title(); ?></h1>
								</header>
							<?php endif; ?>
						<?php } ?>
						<div class="post-content box mark-links entry-content">
							<?php the_content(); ?>
							<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => __('Next', 'dropshipping' ), 'previouspagelink' => __('Previous', 'dropshipping' ), 'pagelink' => '%','echo' => 1 )); ?>
							
						</div><!--.post-content box mark-links-->
					</div>
				</div>
				<?php comments_template( '', true ); ?>
			<?php endwhile; ?>
		</div>
	</article>
	<?php get_sidebar(); ?>
<?php get_footer(); ?>