<?php
/**
 * The template for displaying search results pages.
 *
 * @package Dropshipping
 */

$mts_options = get_option( MTS_THEME_NAME );

get_header();
?>
<div class="blog-background page-title">
	<div class="container">
		<h1 class="postsby title"><?php the_search_query(); ?></h1>
	</div>
</div>
<div id="page">
	<div class="article">
		<div id="content_box">
			<?php
			$blog_layout = ! empty( $mts_options['mts_blog_posts_layout'] ) ? $mts_options['mts_blog_posts_layout'] : '';
			?>
			<div class="article-wrapper <?php echo $blog_layout; ?>">
				<?php
				$j = 0;
				if ( have_posts() ) :
					while ( have_posts() ) :
						the_post();
						?>
						<article class="latestPost excerpt  <?php echo (++$j % 3 == 0) ? 'last' : ''; ?>">
							<?php mts_archive_post(); ?>
						</article><!--.post excerpt-->
						<?php
					endwhile;
				else :
					?>
					<div class="no-results">
						<h2><?php esc_html_e( 'We apologize for any inconvenience, please hit back on your browser or use the search form below.', 'dropshipping' ); ?></h2>
						<?php get_search_form(); ?>
					</div><!--noResults-->
					<?php
				endif;

				if ( 0 !== $j ) { // No pagination if there is no posts.
					mts_pagination();
				}
				?>
			</div>
		</div>
	</div>
<?php get_footer();
?>
