<?php
/**
 * Cross-sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cross-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 4.4.0
 */

global $mts_options;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $cross_sells && $mts_options['mts_cross_sells_slider'] == 1 ) : ?>

	<div class="cross-sells products">

		<h4><?php esc_html__( 'You may also like&hellip;', 'dropshipping' ); ?></h4>

		<div class="cross-sells-container clearfix">

			<div id="cross-sells-slider" class="cross-sells-slider">

			<?php
			foreach ( $cross_sells as $cross_sell ) :

				$post_object = get_post( $cross_sell->get_id() );

				setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found ?>

				<div class="cross-product-item">
					<?php wc_get_template( 'loop/product-tab.php' ); ?>
				</div>	

			<?php endforeach; ?>

			</div>

		</div>	

	</div>

	<?php

endif;

wp_reset_postdata();
