<?php
/**
 * Homepage Section - CTA
 *
 * @package Dropshipping
 */

global $post, $product, $mts_options;

$cat_count = count( get_the_terms( $post->ID, 'product_cat' ) ); ?>

<div class="product-wrap">
	<a href="<?php echo esc_url( get_the_permalink() ); ?>">
	<?php
		/**
		 * woocommerce_before_shop_loop_item_title hook
		 *
		 * @hooked woocommerce_show_product_loop_sale_flash - 10
		 * @hooked woocommerce_template_loop_product_thumbnail - 10
		 */
		do_action( 'woocommerce_before_shop_loop_item_title' );
	?>
	</a>
	<div class="product-wrap-inner">
		<h3 class="product-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>"><?php echo esc_html( get_the_title() ); ?></a></h3>
		<?php echo wc_get_product_category_list( $product->get_id(), ', ', '<div class="product-category-type">', '</div>' ); ?>
	    <div class="product-data">
			<?php
				/**
				 * woocommerce_after_shop_loop_item_title hook
				 *
				 * @hooked woocommerce_template_loop_rating - 5
				 * @hooked woocommerce_template_loop_price - 10
				 */
				do_action( 'woocommerce_after_shop_loop_item_title' );
			?>
		</div>
		<div class="product-information">
			<?php woocommerce_template_loop_rating(); ?>
		    <div class="product-view-content">
				<?php echo mts_excerpt(20); ?>	
			</div>
			<div class="product-buttons">
				<?php echo mts_wishlist_button(); ?>
				<?php woocommerce_template_loop_add_to_cart(); ?>
				<a href="#" data-product-id="<?php echo esc_attr( $product->get_id() ); ?>" class="quick-look-link button"><i class="fa fa-search"></i></a>
			</div>
		</div>
	</div>	
</div>
