<?php
/**
 * Popup Product Images
 *
 * @package WooCommerce\Templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $post, $product;

$attachment_ids   = $product->get_gallery_image_ids();
$attachment_count = count( $attachment_ids );
if ( $attachment_count > 0 ) {
	$slider_container_class = ' primary-slider-container loading';
	$slider_class           = ' product-img-slider';
} else {
	$slider_container_class = '';
	$slider_class           = '';
}
?>
<div class="images<?php echo esc_attr( $slider_container_class ); ?>">
	<div class="images-inner clearfix <?php echo esc_attr( $slider_class ); ?>">
		<?php
		if ( has_post_thumbnail() ) {

			$image_title = esc_attr( get_the_title( get_post_thumbnail_id() ) );
			$image_link  = wp_get_attachment_url( get_post_thumbnail_id() );
			$image       = get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array( 'title' => $image_title ) );

			echo $image;
		}

		if ( $attachment_ids ) {

			foreach ( $attachment_ids as $attachment_id ) {

				$image_link = wp_get_attachment_url( $attachment_id );

				if ( ! $image_link )
					continue;

				$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ) );
				$image_class = '';
				$image_title = esc_attr( get_the_title( $attachment_id ) );

				echo $image;
			}
		}
		?>
	</div>
	<a href="<?php echo esc_url( get_the_permalink() ); ?>" class="button mts-view-details"><?php _e( 'View Details', 'dropshipping' ); ?></a>

</div>
