<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : ?>

	<div class="related-products">

		<h4><?php esc_html_e( 'Related Products', 'dropshipping' ); ?></h4>

		<div class="related-products-container clearfix">

			<div id="related-product-slider" class="related-products-slider">

				<?php

				foreach ( $related_products as $related_product ) :

					$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found ?>

					<div class="related-product-item">
						<?php wc_get_template( 'loop/product-tab.php' ); ?>
					</div>	

				<?php endforeach; // end of the loop. ?>

			</div>

		</div>

	</div>
<?php endif; ?>
