<?php
/**
 * Single Product Sale Flash
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/sale-flash.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $post, $product, $mts_options;

?>
<?php if ( $product->is_on_sale() ) : ?>

<div class="mts-product-badges">
	<?php echo apply_filters( 'woocommerce_sale_flash', '<span class="onsale-badge">' . __( 'Sale', 'dropshipping' ) . '</span>', $post, $product ); ?>
</div>	

<?php endif; ?>

<?php if ( $mts_options['mts_mark_new_products'] ) : ?>
<div class="mts-product-badges">

	<?php
	$postdate      = get_the_time( 'Y-m-d' );
	$postdatestamp = strtotime( $postdate );
	$newness       = isset( $mts_options['mts_new_products_time'] ) ? $mts_options['mts_new_products_time'] : 30;

	// If the product was published within the newness time frame display the new badge.
	if ( ( time() - ( 60 * 60 * 24 * $newness ) ) < $postdatestamp ) {

		echo apply_filters( 'mts_new_badge', '<span class="new-badge">' . __( 'New', 'dropshipping' ) . '</span>', $post, $product );
	}
	?>
</div>
<?php endif; ?>

<?php if ( ! $product->is_in_stock() ) : ?>
<div class="mts-product-badges">

	<?php echo apply_filters( 'mts_outstock_badge', '<span class="outstock-badge">' . __( 'Out Of Stock', 'dropshipping' ) . '</span>', $post, $product ); ?>

</div>
<?php endif; ?>
