<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.0.0
 */

global $mts_options;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( $upsells && 1 === $mts_options['mts_upsells_slider'] ) : ?>

	<div class="up-sells upsells products">

		<h4><?php esc_html_e( 'You may also like&hellip;', 'dropshipping' ); ?></h4>

		<div class="upsells-slider-container clearfix">

			<div id="upsells-slider" class="upsells-slider">

				<?php foreach ( $upsells as $upsell ) : ?>

					<?php
					$post_object = get_post( $upsell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found 
					?>

					<div class="upsell-product-item">

						<?php wc_get_template( 'loop/product-tab.php' ); ?>

					</div>	

				<?php endforeach; ?>

			</div>

		</div>	

	</div>
	<?php
endif;

wp_reset_postdata();
